pragma Warnings (Off);
pragma Ada_95;
pragma Source_File_Name (gnatcoll_sqlitemain, Spec_File_Name => "b__gnatcoll_sqlite.ads");
pragma Source_File_Name (gnatcoll_sqlitemain, Body_File_Name => "b__gnatcoll_sqlite.adb");
pragma Suppress (Overflow_Check);

with System.Restrictions;
with Ada.Exceptions;

package body gnatcoll_sqlitemain is

   E023 : Short_Integer; pragma Import (Ada, E023, "ada__exceptions_E");
   E019 : Short_Integer; pragma Import (Ada, E019, "system__soft_links_E");
   E017 : Short_Integer; pragma Import (Ada, E017, "system__exception_table_E");
   E032 : Short_Integer; pragma Import (Ada, E032, "ada__numerics_E");
   E026 : Short_Integer; pragma Import (Ada, E026, "system__exceptions_E");
   E058 : Short_Integer; pragma Import (Ada, E058, "system__soft_links__initialize_E");
   E328 : Short_Integer; pragma Import (Ada, E328, "ada__assertions_E");
   E152 : Short_Integer; pragma Import (Ada, E152, "ada__containers_E");
   E068 : Short_Integer; pragma Import (Ada, E068, "ada__io_exceptions_E");
   E014 : Short_Integer; pragma Import (Ada, E014, "ada__strings_E");
   E072 : Short_Integer; pragma Import (Ada, E072, "ada__strings__utf_encoding_E");
   E120 : Short_Integer; pragma Import (Ada, E120, "gnat_E");
   E124 : Short_Integer; pragma Import (Ada, E124, "interfaces__c_E");
   E196 : Short_Integer; pragma Import (Ada, E196, "interfaces__c__strings_E");
   E129 : Short_Integer; pragma Import (Ada, E129, "system__os_lib_E");
   E256 : Short_Integer; pragma Import (Ada, E256, "system__task_info_E");
   E080 : Short_Integer; pragma Import (Ada, E080, "ada__tags_E");
   E070 : Short_Integer; pragma Import (Ada, E070, "ada__strings__text_buffers_E");
   E067 : Short_Integer; pragma Import (Ada, E067, "ada__streams_E");
   E185 : Short_Integer; pragma Import (Ada, E185, "system__file_control_block_E");
   E110 : Short_Integer; pragma Import (Ada, E110, "system__finalization_root_E");
   E108 : Short_Integer; pragma Import (Ada, E108, "ada__finalization_E");
   E184 : Short_Integer; pragma Import (Ada, E184, "system__file_io_E");
   E166 : Short_Integer; pragma Import (Ada, E166, "system__storage_pools_E");
   E168 : Short_Integer; pragma Import (Ada, E168, "system__finalization_masters_E");
   E214 : Short_Integer; pragma Import (Ada, E214, "system__storage_pools__subpools_E");
   E127 : Short_Integer; pragma Import (Ada, E127, "ada__calendar_E");
   E222 : Short_Integer; pragma Import (Ada, E222, "ada__calendar__delays_E");
   E143 : Short_Integer; pragma Import (Ada, E143, "ada__calendar__time_zones_E");
   E180 : Short_Integer; pragma Import (Ada, E180, "ada__text_io_E");
   E122 : Short_Integer; pragma Import (Ada, E122, "gnat__calendar_E");
   E062 : Short_Integer; pragma Import (Ada, E062, "ada__strings__maps_E");
   E065 : Short_Integer; pragma Import (Ada, E065, "ada__strings__maps__constants_E");
   E102 : Short_Integer; pragma Import (Ada, E102, "ada__strings__unbounded_E");
   E209 : Short_Integer; pragma Import (Ada, E209, "system__regpat_E");
   E343 : Short_Integer; pragma Import (Ada, E343, "gnat__directory_operations_E");
   E316 : Short_Integer; pragma Import (Ada, E316, "system__checked_pools_E");
   E250 : Short_Integer; pragma Import (Ada, E250, "system__task_primitives__operations_E");
   E178 : Short_Integer; pragma Import (Ada, E178, "gnat__calendar__time_io_E");
   E307 : Short_Integer; pragma Import (Ada, E307, "gnat__debug_pools_E");
   E172 : Short_Integer; pragma Import (Ada, E172, "system__pool_global_E");
   E204 : Short_Integer; pragma Import (Ada, E204, "gnat__expect_E");
   E367 : Short_Integer; pragma Import (Ada, E367, "system__random_seed_E");
   E354 : Short_Integer; pragma Import (Ada, E354, "system__regexp_E");
   E347 : Short_Integer; pragma Import (Ada, E347, "ada__directories_E");
   E270 : Short_Integer; pragma Import (Ada, E270, "system__tasking__initialization_E");
   E280 : Short_Integer; pragma Import (Ada, E280, "system__tasking__protected_objects_E");
   E282 : Short_Integer; pragma Import (Ada, E282, "system__tasking__protected_objects__entries_E");
   E278 : Short_Integer; pragma Import (Ada, E278, "system__tasking__queuing_E");
   E155 : Short_Integer; pragma Import (Ada, E155, "gnatcoll__atomic_E");
   E305 : Short_Integer; pragma Import (Ada, E305, "gnatcoll__memory_E");
   E200 : Short_Integer; pragma Import (Ada, E200, "gnatcoll__os_E");
   E240 : Short_Integer; pragma Import (Ada, E240, "gnatcoll__plugins_E");
   E161 : Short_Integer; pragma Import (Ada, E161, "gnatcoll__storage_pools__headers_E");
   E159 : Short_Integer; pragma Import (Ada, E159, "gnatcoll__refcount_E");
   E199 : Short_Integer; pragma Import (Ada, E199, "gnatcoll__string_builders_E");
   E299 : Short_Integer; pragma Import (Ada, E299, "gnatcoll__strings_impl_E");
   E297 : Short_Integer; pragma Import (Ada, E297, "gnatcoll__strings_E");
   E296 : Short_Integer; pragma Import (Ada, E296, "gnatcoll__strings_E");
   E318 : Short_Integer; pragma Import (Ada, E318, "gnatcoll__mmap_E");
   E320 : Short_Integer; pragma Import (Ada, E320, "gnatcoll__mmap__system_E");
   E322 : Short_Integer; pragma Import (Ada, E322, "gnatcoll__templates_E");
   E324 : Short_Integer; pragma Import (Ada, E324, "gnatcoll__terminal_E");
   E190 : Short_Integer; pragma Import (Ada, E190, "gnatcoll__utils_E");
   E174 : Short_Integer; pragma Import (Ada, E174, "gnatcoll__sql_impl_E");
   E151 : Short_Integer; pragma Import (Ada, E151, "gnatcoll__sql_E");
   E338 : Short_Integer; pragma Import (Ada, E338, "gnatcoll__io_E");
   E356 : Short_Integer; pragma Import (Ada, E356, "gnatcoll__path_E");
   E345 : Short_Integer; pragma Import (Ada, E345, "gnatcoll__io__native_E");
   E359 : Short_Integer; pragma Import (Ada, E359, "gnatcoll__remote_E");
   E363 : Short_Integer; pragma Import (Ada, E363, "gnatcoll__remote__db_E");
   E341 : Short_Integer; pragma Import (Ada, E341, "gnatcoll__io__remote_E");
   E358 : Short_Integer; pragma Import (Ada, E358, "gnatcoll__io__remote__unix_E");
   E361 : Short_Integer; pragma Import (Ada, E361, "gnatcoll__io__remote__windows_E");
   E332 : Short_Integer; pragma Import (Ada, E332, "gnatcoll__vfs_E");
   E301 : Short_Integer; pragma Import (Ada, E301, "gnatcoll__traces_E");
   E237 : Short_Integer; pragma Import (Ada, E237, "gnatcoll__sql__exec_E");
   E242 : Short_Integer; pragma Import (Ada, E242, "gnatcoll__sql__exec__tasking_E");
   E286 : Short_Integer; pragma Import (Ada, E286, "gnatcoll__sql__exec_private_E");
   E006 : Short_Integer; pragma Import (Ada, E006, "gnatcoll__sql__sqlite_E");
   E002 : Short_Integer; pragma Import (Ada, E002, "gnatcoll__sql__sqlite__builder_E");
   E004 : Short_Integer; pragma Import (Ada, E004, "gnatcoll__sql__sqlite__gnade_E");

   Sec_Default_Sized_Stacks : array (1 .. 1) of aliased System.Secondary_Stack.SS_Stack (System.Parameters.Runtime_Default_Sec_Stack_Size);

   Local_Priority_Specific_Dispatching : constant String := "";
   Local_Interrupt_States : constant String := "";

   Is_Elaborated : Boolean := False;

   procedure finalize_library is
   begin
      declare
         procedure F1;
         pragma Import (Ada, F1, "gnatcoll__sql__sqlite__builder__finalize_body");
      begin
         E002 := E002 - 1;
         if E002 = 0 then
            F1;
         end if;
      end;
      declare
         procedure F2;
         pragma Import (Ada, F2, "gnatcoll__sql__sqlite__finalize_body");
      begin
         E006 := E006 - 1;
         if E006 = 0 then
            F2;
         end if;
      end;
      declare
         procedure F3;
         pragma Import (Ada, F3, "gnatcoll__sql__sqlite__finalize_spec");
      begin
         if E006 = 0 then
            F3;
         end if;
      end;
      declare
         procedure F4;
         pragma Import (Ada, F4, "gnatcoll__sql__exec__tasking__finalize_body");
      begin
         E242 := E242 - 1;
         if E242 = 0 then
            F4;
         end if;
      end;
      declare
         procedure F5;
         pragma Import (Ada, F5, "gnatcoll__sql__exec__finalize_body");
      begin
         E237 := E237 - 1;
         if E237 = 0 then
            F5;
         end if;
      end;
      declare
         procedure F6;
         pragma Import (Ada, F6, "gnatcoll__sql__exec__finalize_spec");
      begin
         if E237 = 0 then
            F6;
         end if;
      end;
      declare
         procedure F7;
         pragma Import (Ada, F7, "gnatcoll__traces__finalize_body");
      begin
         E301 := E301 - 1;
         if E301 = 0 then
            F7;
         end if;
      end;
      declare
         procedure F8;
         pragma Import (Ada, F8, "gnatcoll__traces__finalize_spec");
      begin
         if E301 = 0 then
            F8;
         end if;
      end;
      E332 := E332 - 1;
      declare
         procedure F9;
         pragma Import (Ada, F9, "gnatcoll__vfs__finalize_spec");
      begin
         if E332 = 0 then
            F9;
         end if;
      end;
      E341 := E341 - 1;
      declare
         procedure F10;
         pragma Import (Ada, F10, "gnatcoll__io__remote__finalize_spec");
      begin
         if E341 = 0 then
            F10;
         end if;
      end;
      declare
         procedure F11;
         pragma Import (Ada, F11, "gnatcoll__remote__finalize_spec");
      begin
         E359 := E359 - 1;
         if E359 = 0 then
            F11;
         end if;
      end;
      E345 := E345 - 1;
      declare
         procedure F12;
         pragma Import (Ada, F12, "gnatcoll__io__native__finalize_spec");
      begin
         if E345 = 0 then
            F12;
         end if;
      end;
      E338 := E338 - 1;
      declare
         procedure F13;
         pragma Import (Ada, F13, "gnatcoll__io__finalize_spec");
      begin
         if E338 = 0 then
            F13;
         end if;
      end;
      declare
         procedure F14;
         pragma Import (Ada, F14, "gnatcoll__sql__finalize_body");
      begin
         E151 := E151 - 1;
         if E151 = 0 then
            F14;
         end if;
      end;
      declare
         procedure F15;
         pragma Import (Ada, F15, "gnatcoll__sql__finalize_spec");
      begin
         if E151 = 0 then
            F15;
         end if;
      end;
      declare
         procedure F16;
         pragma Import (Ada, F16, "gnatcoll__sql_impl__finalize_body");
      begin
         E174 := E174 - 1;
         if E174 = 0 then
            F16;
         end if;
      end;
      declare
         procedure F17;
         pragma Import (Ada, F17, "gnatcoll__sql_impl__finalize_spec");
      begin
         if E174 = 0 then
            F17;
         end if;
      end;
      E324 := E324 - 1;
      declare
         procedure F18;
         pragma Import (Ada, F18, "gnatcoll__terminal__finalize_spec");
      begin
         if E324 = 0 then
            F18;
         end if;
      end;
      E297 := E297 - 1;
      declare
         procedure F19;
         pragma Import (Ada, F19, "gnatcoll__strings__finalize_spec");
      begin
         if E297 = 0 then
            F19;
         end if;
      end;
      E159 := E159 - 1;
      declare
         procedure F20;
         pragma Import (Ada, F20, "gnatcoll__refcount__finalize_spec");
      begin
         if E159 = 0 then
            F20;
         end if;
      end;
      declare
         procedure F21;
         pragma Import (Ada, F21, "gnatcoll__memory__finalize_body");
      begin
         E305 := E305 - 1;
         if E305 = 0 then
            F21;
         end if;
      end;
      E282 := E282 - 1;
      declare
         procedure F22;
         pragma Import (Ada, F22, "system__tasking__protected_objects__entries__finalize_spec");
      begin
         if E282 = 0 then
            F22;
         end if;
      end;
      declare
         procedure F23;
         pragma Import (Ada, F23, "ada__directories__finalize_body");
      begin
         E347 := E347 - 1;
         if E347 = 0 then
            F23;
         end if;
      end;
      declare
         procedure F24;
         pragma Import (Ada, F24, "ada__directories__finalize_spec");
      begin
         if E347 = 0 then
            F24;
         end if;
      end;
      E354 := E354 - 1;
      declare
         procedure F25;
         pragma Import (Ada, F25, "system__regexp__finalize_spec");
      begin
         if E354 = 0 then
            F25;
         end if;
      end;
      E204 := E204 - 1;
      declare
         procedure F26;
         pragma Import (Ada, F26, "gnat__expect__finalize_spec");
      begin
         if E204 = 0 then
            F26;
         end if;
      end;
      E172 := E172 - 1;
      declare
         procedure F27;
         pragma Import (Ada, F27, "system__pool_global__finalize_spec");
      begin
         if E172 = 0 then
            F27;
         end if;
      end;
      declare
         procedure F28;
         pragma Import (Ada, F28, "gnat__debug_pools__finalize_body");
      begin
         E307 := E307 - 1;
         if E307 = 0 then
            F28;
         end if;
      end;
      declare
         procedure F29;
         pragma Import (Ada, F29, "gnat__debug_pools__finalize_spec");
      begin
         if E307 = 0 then
            F29;
         end if;
      end;
      E102 := E102 - 1;
      declare
         procedure F30;
         pragma Import (Ada, F30, "ada__strings__unbounded__finalize_spec");
      begin
         if E102 = 0 then
            F30;
         end if;
      end;
      E180 := E180 - 1;
      declare
         procedure F31;
         pragma Import (Ada, F31, "ada__text_io__finalize_spec");
      begin
         if E180 = 0 then
            F31;
         end if;
      end;
      E214 := E214 - 1;
      declare
         procedure F32;
         pragma Import (Ada, F32, "system__storage_pools__subpools__finalize_spec");
      begin
         if E214 = 0 then
            F32;
         end if;
      end;
      E168 := E168 - 1;
      declare
         procedure F33;
         pragma Import (Ada, F33, "system__finalization_masters__finalize_spec");
      begin
         if E168 = 0 then
            F33;
         end if;
      end;
      declare
         procedure F34;
         pragma Import (Ada, F34, "system__file_io__finalize_body");
      begin
         E184 := E184 - 1;
         if E184 = 0 then
            F34;
         end if;
      end;
      declare
         procedure Reraise_Library_Exception_If_Any;
            pragma Import (Ada, Reraise_Library_Exception_If_Any, "__gnat_reraise_library_exception_if_any");
      begin
         Reraise_Library_Exception_If_Any;
      end;
   end finalize_library;

   procedure gnatcoll_sqlitefinal is

      procedure Runtime_Finalize;
      pragma Import (C, Runtime_Finalize, "__gnat_runtime_finalize");

   begin
      if not Is_Elaborated then
         return;
      end if;
      Is_Elaborated := False;
      Runtime_Finalize;
      finalize_library;
   end gnatcoll_sqlitefinal;

   type No_Param_Proc is access procedure;
   pragma Favor_Top_Level (No_Param_Proc);

   procedure gnatcoll_sqliteinit is
      Main_Priority : Integer;
      pragma Import (C, Main_Priority, "__gl_main_priority");
      Time_Slice_Value : Integer;
      pragma Import (C, Time_Slice_Value, "__gl_time_slice_val");
      WC_Encoding : Character;
      pragma Import (C, WC_Encoding, "__gl_wc_encoding");
      Locking_Policy : Character;
      pragma Import (C, Locking_Policy, "__gl_locking_policy");
      Queuing_Policy : Character;
      pragma Import (C, Queuing_Policy, "__gl_queuing_policy");
      Task_Dispatching_Policy : Character;
      pragma Import (C, Task_Dispatching_Policy, "__gl_task_dispatching_policy");
      Priority_Specific_Dispatching : System.Address;
      pragma Import (C, Priority_Specific_Dispatching, "__gl_priority_specific_dispatching");
      Num_Specific_Dispatching : Integer;
      pragma Import (C, Num_Specific_Dispatching, "__gl_num_specific_dispatching");
      Main_CPU : Integer;
      pragma Import (C, Main_CPU, "__gl_main_cpu");
      Interrupt_States : System.Address;
      pragma Import (C, Interrupt_States, "__gl_interrupt_states");
      Num_Interrupt_States : Integer;
      pragma Import (C, Num_Interrupt_States, "__gl_num_interrupt_states");
      Unreserve_All_Interrupts : Integer;
      pragma Import (C, Unreserve_All_Interrupts, "__gl_unreserve_all_interrupts");
      Detect_Blocking : Integer;
      pragma Import (C, Detect_Blocking, "__gl_detect_blocking");
      Default_Stack_Size : Integer;
      pragma Import (C, Default_Stack_Size, "__gl_default_stack_size");
      Default_Secondary_Stack_Size : System.Parameters.Size_Type;
      pragma Import (C, Default_Secondary_Stack_Size, "__gnat_default_ss_size");
      Bind_Env_Addr : System.Address;
      pragma Import (C, Bind_Env_Addr, "__gl_bind_env_addr");

      procedure Runtime_Initialize (Install_Handler : Integer);
      pragma Import (C, Runtime_Initialize, "__gnat_runtime_initialize");

      Finalize_Library_Objects : No_Param_Proc;
      pragma Import (C, Finalize_Library_Objects, "__gnat_finalize_library_objects");
      Binder_Sec_Stacks_Count : Natural;
      pragma Import (Ada, Binder_Sec_Stacks_Count, "__gnat_binder_ss_count");
      Default_Sized_SS_Pool : System.Address;
      pragma Import (Ada, Default_Sized_SS_Pool, "__gnat_default_ss_pool");

   begin
      if Is_Elaborated then
         return;
      end if;
      Is_Elaborated := True;
      Main_Priority := -1;
      Time_Slice_Value := -1;
      WC_Encoding := 'b';
      Locking_Policy := ' ';
      Queuing_Policy := ' ';
      Task_Dispatching_Policy := ' ';
      System.Restrictions.Run_Time_Restrictions :=
        (Set =>
          (False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, True, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False),
         Value => (0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
         Violated =>
          (False, False, False, False, True, True, False, False, 
           True, False, False, True, True, True, True, False, 
           False, False, False, True, False, False, True, True, 
           False, True, True, False, True, True, True, True, 
           False, True, False, False, False, False, True, False, 
           False, True, False, True, False, True, True, False, 
           True, False, True, False, False, False, True, False, 
           True, False, False, True, False, False, False, False, 
           False, False, False, True, True, True, False, False, 
           True, False, True, True, True, False, True, True, 
           False, True, True, True, True, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, True, False),
         Count => (0, 0, 0, 0, 0, 0, 0, 0, 1, 0),
         Unknown => (False, False, False, False, False, False, False, False, True, False));
      Priority_Specific_Dispatching :=
        Local_Priority_Specific_Dispatching'Address;
      Num_Specific_Dispatching := 0;
      Main_CPU := -1;
      Interrupt_States := Local_Interrupt_States'Address;
      Num_Interrupt_States := 0;
      Unreserve_All_Interrupts := 0;
      Detect_Blocking := 0;
      Default_Stack_Size := -1;

      gnatcoll_sqlitemain'Elab_Body;
      Default_Secondary_Stack_Size := System.Parameters.Runtime_Default_Sec_Stack_Size;
      Binder_Sec_Stacks_Count := 1;
      Default_Sized_SS_Pool := Sec_Default_Sized_Stacks'Address;

      Runtime_Initialize (1);

      if E023 = 0 then
         Ada.Exceptions'Elab_Spec;
      end if;
      if E019 = 0 then
         System.Soft_Links'Elab_Spec;
      end if;
      if E017 = 0 then
         System.Exception_Table'Elab_Body;
      end if;
      E017 := E017 + 1;
      if E032 = 0 then
         Ada.Numerics'Elab_Spec;
      end if;
      E032 := E032 + 1;
      if E026 = 0 then
         System.Exceptions'Elab_Spec;
      end if;
      E026 := E026 + 1;
      if E058 = 0 then
         System.Soft_Links.Initialize'Elab_Body;
      end if;
      E058 := E058 + 1;
      E019 := E019 + 1;
      E023 := E023 + 1;
      if E328 = 0 then
         Ada.Assertions'Elab_Spec;
      end if;
      E328 := E328 + 1;
      if E152 = 0 then
         Ada.Containers'Elab_Spec;
      end if;
      E152 := E152 + 1;
      if E068 = 0 then
         Ada.Io_Exceptions'Elab_Spec;
      end if;
      E068 := E068 + 1;
      if E014 = 0 then
         Ada.Strings'Elab_Spec;
      end if;
      E014 := E014 + 1;
      if E072 = 0 then
         Ada.Strings.Utf_Encoding'Elab_Spec;
      end if;
      E072 := E072 + 1;
      if E120 = 0 then
         Gnat'Elab_Spec;
      end if;
      E120 := E120 + 1;
      if E124 = 0 then
         Interfaces.C'Elab_Spec;
      end if;
      E124 := E124 + 1;
      if E196 = 0 then
         Interfaces.C.Strings'Elab_Spec;
      end if;
      E196 := E196 + 1;
      if E129 = 0 then
         System.Os_Lib'Elab_Body;
      end if;
      E129 := E129 + 1;
      if E256 = 0 then
         System.Task_Info'Elab_Spec;
      end if;
      E256 := E256 + 1;
      if E080 = 0 then
         Ada.Tags'Elab_Spec;
      end if;
      if E080 = 0 then
         Ada.Tags'Elab_Body;
      end if;
      E080 := E080 + 1;
      if E070 = 0 then
         Ada.Strings.Text_Buffers'Elab_Spec;
      end if;
      E070 := E070 + 1;
      if E067 = 0 then
         Ada.Streams'Elab_Spec;
      end if;
      E067 := E067 + 1;
      if E185 = 0 then
         System.File_Control_Block'Elab_Spec;
      end if;
      E185 := E185 + 1;
      if E110 = 0 then
         System.Finalization_Root'Elab_Spec;
      end if;
      E110 := E110 + 1;
      if E108 = 0 then
         Ada.Finalization'Elab_Spec;
      end if;
      E108 := E108 + 1;
      if E184 = 0 then
         System.File_Io'Elab_Body;
      end if;
      E184 := E184 + 1;
      if E166 = 0 then
         System.Storage_Pools'Elab_Spec;
      end if;
      E166 := E166 + 1;
      if E168 = 0 then
         System.Finalization_Masters'Elab_Spec;
      end if;
      if E168 = 0 then
         System.Finalization_Masters'Elab_Body;
      end if;
      E168 := E168 + 1;
      if E214 = 0 then
         System.Storage_Pools.Subpools'Elab_Spec;
      end if;
      E214 := E214 + 1;
      if E127 = 0 then
         Ada.Calendar'Elab_Spec;
      end if;
      if E127 = 0 then
         Ada.Calendar'Elab_Body;
      end if;
      E127 := E127 + 1;
      if E222 = 0 then
         Ada.Calendar.Delays'Elab_Body;
      end if;
      E222 := E222 + 1;
      if E143 = 0 then
         Ada.Calendar.Time_Zones'Elab_Spec;
      end if;
      E143 := E143 + 1;
      if E180 = 0 then
         Ada.Text_Io'Elab_Spec;
      end if;
      if E180 = 0 then
         Ada.Text_Io'Elab_Body;
      end if;
      E180 := E180 + 1;
      if E122 = 0 then
         Gnat.Calendar'Elab_Spec;
      end if;
      E122 := E122 + 1;
      if E062 = 0 then
         Ada.Strings.Maps'Elab_Spec;
      end if;
      E062 := E062 + 1;
      if E065 = 0 then
         Ada.Strings.Maps.Constants'Elab_Spec;
      end if;
      E065 := E065 + 1;
      if E102 = 0 then
         Ada.Strings.Unbounded'Elab_Spec;
      end if;
      E102 := E102 + 1;
      if E209 = 0 then
         System.Regpat'Elab_Spec;
      end if;
      E209 := E209 + 1;
      if E343 = 0 then
         Gnat.Directory_Operations'Elab_Spec;
      end if;
      if E343 = 0 then
         Gnat.Directory_Operations'Elab_Body;
      end if;
      E343 := E343 + 1;
      if E316 = 0 then
         System.Checked_Pools'Elab_Spec;
      end if;
      E316 := E316 + 1;
      if E250 = 0 then
         System.Task_Primitives.Operations'Elab_Body;
      end if;
      E250 := E250 + 1;
      if E178 = 0 then
         Gnat.Calendar.Time_Io'Elab_Spec;
      end if;
      E178 := E178 + 1;
      if E307 = 0 then
         Gnat.Debug_Pools'Elab_Spec;
      end if;
      if E307 = 0 then
         Gnat.Debug_Pools'Elab_Body;
      end if;
      E307 := E307 + 1;
      if E172 = 0 then
         System.Pool_Global'Elab_Spec;
      end if;
      E172 := E172 + 1;
      if E204 = 0 then
         Gnat.Expect'Elab_Spec;
      end if;
      E204 := E204 + 1;
      if E367 = 0 then
         System.Random_Seed'Elab_Body;
      end if;
      E367 := E367 + 1;
      if E354 = 0 then
         System.Regexp'Elab_Spec;
      end if;
      E354 := E354 + 1;
      if E347 = 0 then
         Ada.Directories'Elab_Spec;
      end if;
      if E347 = 0 then
         Ada.Directories'Elab_Body;
      end if;
      E347 := E347 + 1;
      if E270 = 0 then
         System.Tasking.Initialization'Elab_Body;
      end if;
      E270 := E270 + 1;
      if E280 = 0 then
         System.Tasking.Protected_Objects'Elab_Body;
      end if;
      E280 := E280 + 1;
      if E282 = 0 then
         System.Tasking.Protected_Objects.Entries'Elab_Spec;
      end if;
      E282 := E282 + 1;
      if E278 = 0 then
         System.Tasking.Queuing'Elab_Body;
      end if;
      E278 := E278 + 1;
      E155 := E155 + 1;
      if E305 = 0 then
         GNATCOLL.MEMORY'ELAB_BODY;
      end if;
      E305 := E305 + 1;
      if E200 = 0 then
         GNATCOLL.OS'ELAB_SPEC;
      end if;
      E200 := E200 + 1;
      E240 := E240 + 1;
      E161 := E161 + 1;
      if E159 = 0 then
         GNATCOLL.REFCOUNT'ELAB_SPEC;
      end if;
      E159 := E159 + 1;
      E199 := E199 + 1;
      E299 := E299 + 1;
      if E297 = 0 then
         GNATCOLL.STRINGS'ELAB_SPEC;
      end if;
      if E297 = 0 then
         GNATCOLL.STRINGS'ELAB_BODY;
      end if;
      E297 := E297 + 1;
      if E318 = 0 then
         GNATCOLL.MMAP'ELAB_SPEC;
      end if;
      E320 := E320 + 1;
      E318 := E318 + 1;
      if E322 = 0 then
         GNATCOLL.TEMPLATES'ELAB_SPEC;
      end if;
      E322 := E322 + 1;
      if E324 = 0 then
         GNATCOLL.TERMINAL'ELAB_SPEC;
      end if;
      if E324 = 0 then
         GNATCOLL.TERMINAL'ELAB_BODY;
      end if;
      E324 := E324 + 1;
      E190 := E190 + 1;
      if E174 = 0 then
         GNATCOLL.SQL_IMPL'ELAB_SPEC;
      end if;
      if E174 = 0 then
         GNATCOLL.SQL_IMPL'ELAB_BODY;
      end if;
      E174 := E174 + 1;
      if E151 = 0 then
         GNATCOLL.SQL'ELAB_SPEC;
      end if;
      if E151 = 0 then
         GNATCOLL.SQL'ELAB_BODY;
      end if;
      E151 := E151 + 1;
      if E338 = 0 then
         GNATCOLL.IO'ELAB_SPEC;
      end if;
      if E338 = 0 then
         GNATCOLL.IO'ELAB_BODY;
      end if;
      E338 := E338 + 1;
      if E356 = 0 then
         GNATCOLL.PATH'ELAB_SPEC;
      end if;
      if E356 = 0 then
         GNATCOLL.PATH'ELAB_BODY;
      end if;
      E356 := E356 + 1;
      if E345 = 0 then
         GNATCOLL.IO.NATIVE'ELAB_SPEC;
      end if;
      if E345 = 0 then
         GNATCOLL.IO.NATIVE'ELAB_BODY;
      end if;
      E345 := E345 + 1;
      if E359 = 0 then
         GNATCOLL.REMOTE'ELAB_SPEC;
      end if;
      E359 := E359 + 1;
      if E363 = 0 then
         GNATCOLL.REMOTE.DB'ELAB_SPEC;
      end if;
      E363 := E363 + 1;
      if E341 = 0 then
         GNATCOLL.IO.REMOTE'ELAB_SPEC;
      end if;
      E358 := E358 + 1;
      E361 := E361 + 1;
      if E341 = 0 then
         GNATCOLL.IO.REMOTE'ELAB_BODY;
      end if;
      E341 := E341 + 1;
      if E332 = 0 then
         GNATCOLL.VFS'ELAB_SPEC;
      end if;
      if E332 = 0 then
         GNATCOLL.VFS'ELAB_BODY;
      end if;
      E332 := E332 + 1;
      if E301 = 0 then
         GNATCOLL.TRACES'ELAB_SPEC;
      end if;
      if E301 = 0 then
         GNATCOLL.TRACES'ELAB_BODY;
      end if;
      E301 := E301 + 1;
      if E237 = 0 then
         GNATCOLL.SQL.EXEC'ELAB_SPEC;
      end if;
      if E286 = 0 then
         GNATCOLL.SQL.EXEC_PRIVATE'ELAB_SPEC;
      end if;
      if E286 = 0 then
         GNATCOLL.SQL.EXEC_PRIVATE'ELAB_BODY;
      end if;
      E286 := E286 + 1;
      if E237 = 0 then
         GNATCOLL.SQL.EXEC'ELAB_BODY;
      end if;
      E237 := E237 + 1;
      if E242 = 0 then
         GNATCOLL.SQL.EXEC.TASKING'ELAB_BODY;
      end if;
      E242 := E242 + 1;
      if E006 = 0 then
         GNATCOLL.SQL.SQLITE'ELAB_SPEC;
      end if;
      if E006 = 0 then
         GNATCOLL.SQL.SQLITE'ELAB_BODY;
      end if;
      E006 := E006 + 1;
      if E004 = 0 then
         GNATCOLL.SQL.SQLITE.GNADE'ELAB_SPEC;
      end if;
      if E004 = 0 then
         GNATCOLL.SQL.SQLITE.GNADE'ELAB_BODY;
      end if;
      E004 := E004 + 1;
      if E002 = 0 then
         GNATCOLL.SQL.SQLITE.BUILDER'ELAB_BODY;
      end if;
      E002 := E002 + 1;
   end gnatcoll_sqliteinit;

--  BEGIN Object file/option list
   --   /builddir/build/BUILD/gnatcoll-db-24.0.0-build/gnatcoll-db-24.0.0/sqlite/obj/relocatable/gnatcoll-sql-sqlite.o
   --   /builddir/build/BUILD/gnatcoll-db-24.0.0-build/gnatcoll-db-24.0.0/sqlite/obj/relocatable/gnatcoll-sql-sqlite-gnade.o
   --   /builddir/build/BUILD/gnatcoll-db-24.0.0-build/gnatcoll-db-24.0.0/sqlite/obj/relocatable/gnatcoll-sql-sqlite-builder.o
   --   -L/builddir/build/BUILD/gnatcoll-db-24.0.0-build/gnatcoll-db-24.0.0/sqlite/obj/relocatable/
   --   -L/builddir/build/BUILD/gnatcoll-db-24.0.0-build/gnatcoll-db-24.0.0/stage/usr/lib64/gnatcoll-sql/
   --   -L/usr/lib64/libgpr/
   --   -L/usr/lib64/xmlada/
   --   -L/usr/lib64/gnatcoll/
   --   -L/usr/lib/gcc/s390x-redhat-linux/14/adalib/
   --   -static
   --   -lgnarl
   --   -lgnat
   --   -lrt
   --   -lpthread
--  END Object file/option list   

end gnatcoll_sqlitemain;
